Subject: Re: bug#11415: 24.1.50; Dbus hangs indefinitely during batch mode & daemon startup

From: Michael Albinus <[email-masked]>
Date: Mon, 14 May 2012 09:08:04 +0200

Michael Albinus <[email-masked]> writes:

> I have debugged further. The problem is in kbd_buffer_get_event of
> keyboard.c - it does not read special events when noninteractive. The
> following patch cures the problem for me:
>
> --8<---------------cut here---------------start------------->8---
> *** /home/albinus/src/emacs/src/keyboard.c.~108144~
> --- /home/albinus/src/emacs/src/keyboard.c
> ***************
> *** 3801,3806 ****
> --- 3801,3807 ----
>       }
>   #endif	/* subprocesses */
>
> + #if 0  /* We want to read special events in batch mode.  */
>     if (noninteractive
>         /* In case we are running as a daemon, only do this before
>   	 detaching from the terminal.  */
> ***************
> *** 3811,3816 ****
> --- 3812,3818 ----
>         *kbp = current_kboard;
>         return obj;
>       }
> + #endif
>
>     /* Wait until there is input available.  */
>     for (;;)
> --8<---------------cut here---------------end--------------->8---
>
> However, I don't know whether it has undesired side effects. What do
> people think?

Nobody has objected, so I have committed the patch. Bug closed.

Best regards, Michael.